# 🚀 Light Blue React - A Free Transparent React Admin Template!

[View Demo](https://flatlogic.com/templates/light-blue-react/demo) | [Download](https://github.com/flatlogic/light-blue-react/archive/refs/heads/master.zip) | [More Templates](https://flatlogic.com/templates) | [Discord Community](https://discord.gg/flatlogic-community) | [Support Forum](https://flatlogic.com/forum)

**Originally a premium product priced at $69+, made available for free in January 2025!** 🎉

Looking for a perfect codebase generator for your Startup? Try [Flatlogic AI Web App Generator](https://flatlogic.com/generator) - our new tool, sort of a template++.

---

## 🎯 Why Light Blue React?
- **Ex-Premium**: This template was previously paid. Enjoy it for free now. 😉
- **Tons of components**: Hundreds of ready-to-use UI elements, charts, and more.
- **Join the Community**: [Flatlogic Discord](https://discord.gg/flatlogic-community) is where the action happens.
- **Free Node.js Backend**: Pair it up with [this backend](https://github.com/flatlogic/nodejs-backend) to go full-stack.

---

## 🚀 Quick Start

1. **Clone the repo**  
   ```bash
   git clone https://github.com/flatlogic/light-blue-react.git
   cd light-blue-react
   ```
2. **Install dependencies**  
   ```bash
   yarn install  # Or npm install
   ```
3. **Run the app**  
   ```bash
   yarn start
   ```
   Navigate to http://localhost:3000/.

4. **Backend Support**  
   ```bash
   yarn start:backend
   ```

5. **Build for production**  
   ```bash
   yarn build
   ```

---

## 🧩 Features

- Easily customizable styling & themes
- Over 30 Unique Pages
- Fully Responsive
- React 17
- Bootstrap 5
- Server-Side Rendering for SEO
- Developer-Oriented Dashboard
- Fully Documented Codebase

---

## 🛠 Built With
- React 17
- Bootstrap 5
- Node.js
- Webpack
- SASS
- JavaScript (ES6)

---

## 📦 Components
- UI Elements (Badge, Card, Carousel, Modal, etc.)
- Charts (Flot, Morris, Rickshaw, Sparkline, Easy Pie Charts)
- Forms (Validation, Wizard, Elements)
- Dashboards (Analytics, Visits)
- Pages (Profile, E-commerce, Calendar, Chat, Error)
- Maps (Google, Vector)

---

## 🌍 Available Variants

|               | **Material**                                              | **Transparent**                                         | **Classic**                                          | **Sofia**                                          | **Flatlogic**                                      |
|---------------|-----------------------------------------------------------|---------------------------------------------------------|-------------------------------------------------------|-----------------------------------------------------|----------------------------------------------------|
| **React**     | [React Material Admin](https://github.com/flatlogic/react-material-admin-full) | [Light Blue React](https://github.com/flatlogic/light-blue-react) | [Sing App React](https://github.com/flatlogic/sing-app-react) | [Sofia React](https://github.com/flatlogic/sofia-react) | [One React](https://github.com/flatlogic/one-react) |
| **Angular**   | [Angular Material Admin](https://github.com/flatlogic/angular-material-admin-full) | [Light Blue Angular](https://github.com/flatlogic/light-blue-angular) | [Sing App Angular](https://github.com/flatlogic/sing-app-angular) | - | - |
| **Vue**       | [Material Vue](https://github.com/flatlogic/material-vue-full) | [Light Blue Vue](https://github.com/flatlogic/light-blue-vue) | [Sing App Vue](https://github.com/flatlogic/sing-app-vue) | - | - |
| **Bootstrap** | - | [Light Blue HTML5](https://github.com/flatlogic/light-blue-html5) | [Sing App HTML5](https://github.com/flatlogic/sing-app-html5) | - | [One Bootstrap](https://github.com/flatlogic/one-bootstrap-template-full) |

Additionally, these templates are tailored for specific business needs:

- [E-Commerce Frontend (React)](https://github.com/flatlogic/ecommerce-frontend) - A complete e-commerce solution.
- [Bookkeeper UI (React)](https://github.com/flatlogic/bookkeeper-ui) - Accounting dashboard for finance management.
- [User Management Template (React)](https://github.com/flatlogic/user-management-template) - User authentication and management.

---

## 👨‍💻 How to Contribute
- **Star this repo ⭐** - show some love.
- **Report bugs** - but be nice.
- **Join the [Discord](<insert-discord-invite-link>)** - meet fellow devs.

---

## 🔥 About Flatlogic
[Flatlogic AI Software Engineer](https://flatlogic.com/ai-software-development-agent) builds modern business software so you don't have to. Our AI Software Development Agent helps you generate, deploy, and maintain enterprise applications with minimal effort.

---

## 📜 License
This template is free to use. Modify it, break it, make it your own. Just don’t try to sell it back to us. 😎

---

> **Questions or feedback?**  
> Join our [Flatlogic Community Discord](https://discord.gg/flatlogic-community) or visit our [support forum](https://flatlogic.com/forum). We might even reply!

